module AFCSalesforce
  class AdditionalIncome < Base
    attr_accessor :owner, :type, :description, :amount, :is_owner_self_employed

    def to_h
      AFCSalesforce::Models::Income.new(
        amount__c: @amount,
        type__c: @type
      ).to_h
    end
  end
end