module AFCSalesforce
  class Asset < Base
    attr_accessor :name, :type, :value, :owner

    def to_h
      AFCSalesforce::Models::Asset.new(
        asset_value__c: @value,
        name: @name,
        asset_type__c: @type
      ).to_h
    end
  end
end