module AFCSalesforce
  module Models
    class Base
      extend AFCSalesforce::Models::Concerns::TypeSetter

      def initialize(options={})
        options.each do |attribute_name, attribute_value|
          self.send("#{attribute_name}=".to_sym, attribute_value)
        end
      end

      def to_h
        {}.select{ |k,v| !v.nil? }
      end
    end
  end
end