module AFCSalesforce
  module Tools
    module Validation
      module Rule
        # Rule for not nil
        class NotNil
          # This rule has no params
          def params
            {}
          end

          def error(value)
            results            = {}
            results[:expected] = true
            results[:got]      = valid_value?(value)
            results
          end

          # Determines if value is nil or not.
          def valid_value?(value)
            !value.nil?
          end

          # The error key for this field
          def error_key
            :not_nil
          end
        end
      end
    end
  end
end